现在github上面下载的SyntaxHighlighter到底怎么用呢?

悠悠知我心 发布于 2016/04/13 19:19
阅读 1K+
收藏 0

Linux基金会免费官方培训及考试申请即将截止,戳这里申请!>>>

我在github上面下载了一个SyntaxHighlighter,目录结构直接是这样的

我怎么才能把他们合并成一个可以用的css,js文件呢

(dist里面是空的)

现在前端也好,怎么说呢,好麻烦

加载中
2
Sub
Sub

README.md 里面有安装指令: https://github.com/syntaxhighlighter/syntaxhighlighter/wiki/Building


悠悠知我心
回复 @悠悠知我心 : 谢谢你
Sub
Sub
回复 @悠悠知我心 : git 上的版本是 4.x 好像是 for ES6 的。可以考虑下载 3.x 版本http://alexgorbatchev.com/SyntaxHighlighter/download/
悠悠知我心
谢谢 我执行了gulp build --theme=Default 在dist目录中生成了theme.css和syntaxhighlighter.js,可是这个syntaxhighlighter.js里面,好象是些什么requirejs用的代码,我引到页面上,调用SyntaxHighlighter.all();,提示我SyntaxHighlighter未定义,如何才能编译成正常的js呢……
0
Sub
Sub

4.x 的build没问题,如下

git clone https://github.com/syntaxhighlighter/syntaxhighlighter.git
cd syntaxhighlighter
npm install
npm install gulp
node_modules/.bin/gulp setup-project
node_modules/.bin/gulp build --theme=Default
ll dist/syntaxhighlighter.js



但是用法和 3.x 不一样,自己看 wiki 把

https://github.com/syntaxhighlighter/syntaxhighlighter/wiki/Usage

悠悠知我心
谢谢你
返回顶部
顶部